<?php
    header('Access-Control-Allow-Origin: '.$config->get('site_url'));
    header('Content-Type: application/json');
    header('Access-Control-Allow-Methods: POST');
    header('Access-Control-Allow-Headers: Access-Control-Allow-Headers,Content-Type,Access-Control-Allow-Methods, Authorization, X-Requested-With');

    $response;
    if($_SERVER["REQUEST_METHOD"] == "POST") {
        if(isset($_POST['csrf_token']) && $anticsrf->validate($_POST['csrf_token'])) {
            if(isset($_POST['product_id']) && !empty($_POST['product_id'])) {
                if(isset($session->data['logged_in']) && $session->data['logged_in'] == true) {
                    $product_id  = (int)$_POST['product_id'];
                    $user_id     = $session->data['user_id'];

                    
                    $db->query("DELETE FROM {$db->prefix}favorite_products WHERE user_id=:user_id AND product_id=:product_id", array(':user_id'=>$user_id, ':product_id'=>$product_id));
                    $response = array('status'=>true, 'message'=>'Ürün başarıyla takip listenizden çıkarıldı.');

                    if(!isset($_POST['action']) || $_POST['action'] != 'remove'){
                        $stmt = $db->query("INSERT INTO {$db->prefix}favorite_products (user_id, product_id, date_added) VALUES (:user_id, :product_id, NOW())", array(':user_id'=>$user_id, ':product_id'=>$product_id));
                        if (!$stmt->error) {
                            $response = array('status'=>true, 'message'=>'Ürün başarıyla takip listenize eklendi.');
                        }else{
                            $response = array('status'=>false, 'message'=>"Bilinmeyen bir hata oluştu ve isteğiniz yerine getirilemedi.");
                        }
                    }
                }else{
                    $response = array('status'=>false, 'message'=>"Devam etmeden önce üye girişi yapmanız gerekmektedir.");
                }
            }else{
                $response = array('status'=>false, 'message'=>"Lütfen bir ürün seçiniz.");
            }
        }else {
            $response = array('status'=>false, 'message'=>'Hatalı CSRF Token.');
        }
    } else {
        $response = array('status'=>false, 'message'=>"Hatalı istek.");
    }

    echo json_encode($response);